<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Chrisporate Pro
	 * @since Chrisporate Pro 1.0.0
	 */

	/**
	 * chrisporate_pro_doctype hook
	 *
	 * @hooked chrisporate_pro_doctype -  10
	 *
	 */
	do_action( 'chrisporate_pro_doctype' );

?>
<head>
<?php
	/**
	 * chrisporate_pro_before_wp_head hook
	 *
	 * @hooked chrisporate_pro_head -  10
	 *
	 */
	do_action( 'chrisporate_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * chrisporate_pro_page_start_action hook
	 *
	 * @hooked chrisporate_pro_page_start -  10
	 *
	 */
	do_action( 'chrisporate_pro_page_start_action' ); 

	/**
	 * chrisporate_pro_loader_action hook
	 *
	 * @hooked chrisporate_pro_loader -  10
	 * @hooked chrisporate_pro_add_breadcrumb -  20
	 *
	 */
	do_action( 'chrisporate_pro_before_header' );

	/**
	 * chrisporate_pro_header_action hook
	 *
	 * @hooked chrisporate_pro_header_start -  10
	 * @hooked chrisporate_pro_site_branding -  20
	 * @hooked chrisporate_pro_site_navigation -  30
	 * @hooked chrisporate_pro_header_end -  50
	 *
	 */
	do_action( 'chrisporate_pro_header_action' );

	/**
	 * chrisporate_pro_content_start_action hook
	 *
	 * @hooked chrisporate_pro_content_start -  10
	 *
	 */
	do_action( 'chrisporate_pro_content_start_action' );

	/**
	* chrisporate_pro_primary_content hook
	*
	* @hooked chrisporate_pro_add_about_section - 10
	* @hooked chrisporate_pro_add_service_section - 20
	* @hooked chrisporate_pro_add_counter_section - 30
	* @hooked chrisporate_pro_add_portfolio_section - 40
	* @hooked chrisporate_pro_add_author_section - 50
	* @hooked chrisporate_pro_add_latest_blog_section - 60
	* @hooked chrisporate_pro_add_testimonial_section - 70
	* @hooked chrisporate_pro_add_team_section - 80
	* @hooked chrisporate_pro_add_client_section - 90
	*
	*/
    if ( chrisporate_pro_is_frontpage() ) {

    	$sections = chrisporate_pro_sortable_sections();
		foreach ( $sections as $section => $value ) {
			add_action( 'chrisporate_pro_primary_content', 'chrisporate_pro_add_'. $section .'_section', chrisporate_pro_sort( $section ) );
		}

		do_action( 'chrisporate_pro_primary_content' );
	}