<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'chrisporate_pro_menu', array(
	'title'             => esc_html__('Header Menu','chrisporate-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'chrisporate-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_menu',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Menu style setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[menu_style]', array(
	'sanitize_callback' => 'chrisporate_pro_sanitize_select',
	'default'           => $options['menu_style'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[menu_style]', array(
	'label'             => esc_html__( 'Menu Style', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_menu',
	'type'           	=> 'radio',
	'choices' 			=> array(
		'modern-menu'	=> esc_html__( 'Modern Menu', 'chrisporate-pro' ),
		'classic-menu'	=> esc_html__( 'Classic Menu', 'chrisporate-pro' ),
		),
) );