<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add pagination section
$wp_customize->add_section( 'chrisporate_pro_pagination', array(
	'title'               => esc_html__('Pagination','chrisporate-pro'),
	'description'         => esc_html__( 'Pagination section options.', 'chrisporate-pro' ),
	'panel'               => 'chrisporate_pro_theme_options_panel', 
) );

// Pagination enable setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'chrisporate-pro' ),
	'section'             => 'chrisporate_pro_pagination',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Pagination setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'chrisporate_pro_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'chrisporate-pro' ),
	'section'             => 'chrisporate_pro_pagination',
	'type'                => 'select',
	'choices'			  => chrisporate_pro_pagination_options(),
	'active_callback'	  => 'chrisporate_pro_is_pagination_enable',
) );
